exp_name: default_experiment
project_name: default_config
checkpoint_dir: ./runs/34/
comment: Experiment comment goes here


data:
  images_dir: "/data/db/head_coco/imgsplt/allinone"
  train_anno_path: "/data/db/head_coco/annotations/instances_train2021.json"
  val_anno_path: "/data/db/head_coco/annotations/instances_test2021.json"
  viewpoint_list: ['front']
  train_n_filter_min: 3
  val_n_filter_min: 2
  train_n_subsample_max: null
  val_n_subsample_max: 10
  name_keys: ['name']
  image_size:
    - 320
    - 320

engine:
  num_workers: 0
  train_batch_size: 20
  valid_batch_size: 12
  epochs: 30
  seed: 42
  device: cuda
  loss_module: arcface
  use_wandb: true

scheduler_params:
  lr_start: 1.e-6
  lr_max: 1.e-4
  lr_min: 1.e-6
  lr_ramp_ep: 15
  lr_sus_ep: 0
  lr_decay: 0.8
model_params:
  model_name: efficientnetv2_rw_m
  use_fc: false
  fc_dim: 2048
  dropout: 0.0
  loss_module: arcface
  s: 21.0
  margin: 0.25
  ls_eps: 0.0
  theta_zero: 0.785
  pretrained: true
  n_classes: 211 # used for loading checkpoint
test:
  fliplr: false
  fliplr_view: []
  batch_size: 8
